* {
	transition: all .3s ease;
}
*:not([class*="fa-"]) {
    font-family: 'Poppins', sans-serif !important;
}
:root {
	--primary-color: #000000;
	--bg-primary: #000000;
	--bs-body-font-size: 14px;
	--bg-white: #ffffff;
	--bg-body-f5: #f5f5f5;
	--sb-track-color: #ffffff;
	--sb-thumb-color: #000000;
    --color-blue: #083b7d;
    --color-blue-hover: #002e6b;
    --sb-track-color: transparent;
    --sb-thumb-color: #000000;
    --sb-size: 5px;
}
body {
    background-color: var(--bg-body-f5) !important;
    min-height: 100vh;
	font-size: 13px;
}
[data-bs-theme=dark] {
	--bg-white: #000000;
	--bg-body-f5: #121212;
	--bs-white-rgb: 9,9,9;
	--sb-track-color: #121212;
	--sb-thumb-color: #f5f5f5;
	--bs-border-color: #63666e50;
}
html[data-bs-theme=dark] .menu-sidebar ul li a {
    color: var(--bs-gray-500);
}

body::-webkit-scrollbar {
    width: 14px
}
body::-webkit-scrollbar-track {
    background: var(--bg-body-f5);
    border-radius: 10px;
}
body::-webkit-scrollbar-thumb {
    background: var(--sb-thumb-color);
    border-radius: 10px;
    border: 3px solid var(--bg-body-f5);
}

.btn {
	font-size: 12px;
}
.btn-blue {
	background-color: var(--color-blue);
	border-color: var(--color-blue);
    color: #ffffff;
}
.btn-blue:hover {
    background-color: var(--color-blue-hover);
    color: #ffffff;
}
.btn-gray {
    background-color: #eeeeee;
    border-color: #eeeeee;
    color: #324049;
}
.btn-gray:hover {
    background-color: #e9e9e9;
    border-color: #e9e9e9;
    color: #324049;
}
.col-form-label-sm {
    font-size: 13px;
}
label.form-label {
	font-size: 13px;
	font-weight: 500;
	color: #111827;
}
.form-control,
.form-select {
	font-size: 13px;
	border-color: #cbcbcb;
    box-shadow: 0 1px 2px 0 rgba(0,0,0,.05);
}
.select2-container {
    width: 100% !important;
    margin-bottom: 16px !important;
    z-index: 3000;
}
.select2-search--dropdown .select2-search__field {
    padding-left: 10px !important;
    border-radius: 4px;
}
input.select2-search__field:focus-visible {
    outline: 0;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: var(--bs-primary) !important;
}
table thead tr th:first-child {
    border-top-left-radius: 0.25rem;
}
table thead tr th:last-child {
    border-top-right-radius: 0.25rem;
}
table tbody tr:last-child td {
    border-bottom: none;
}
ul.pagination {
    margin-bottom: 0;
}
ul.pagination li span,
ul.pagination li button {
    font-size: 13px;
}

.theme-selector {
    background-color: #252525;
    border-radius: 8px;
    padding: 4px;
    display: inline-flex;
}
.btn-theme {
    background-color: transparent;
    color: #aaaaaa;
    border: none;
    padding: 6px 14px;
    border-radius: 6px;
    font-size: 14px;
}
.btn-check:checked + .btn-theme {
    background-color: #3a3a3a !important;
    color: #ffffff !important;
}
.btn-theme:hover:not(.active) {
    color: #ffffff;
}
.btn-theme i {
    margin-right: 6px;
}
/* *********************************************************************************************************************************************************** */


/* Login */
.panel-login {
	background-color: var(--bg-primary);
	padding: 200px 50px;
}
.logo-scv-login {
	max-width: 250px;
}
img.logo-senado-login {
    max-width: 200px;
    margin: 0 auto;
}

/* Plantilla */
.main-header {
	background-color: var(--bg-white);
    height: 45px;
    box-sizing: content-box;
}
.logo-sidebar {
    height: 45px;
    box-sizing: content-box;
}
#sidebar {
	width: 280px;
}
#body.active aside#sidebar {
    width: 100px;
}
#body.active aside#sidebar:hover {
    width: 280px;
}
#body.active #sidebar:hover + .main-content {
    padding-left: 280px;
}
#body.active #sidebar:hover .hide-min-menu {
    display: inline;
}
#body.active #sidebar:hover .show-min-menu {
    display: none;
}
.menu-sidebar {
    max-height: 725px;
    overflow-y: scroll;
}
.menu-sidebar::-webkit-scrollbar {
    /* display: none;
    scrollbar-width: none; */
    -ms-overflow-style: none;
    width: var(--sb-size);
}
.menu-sidebar::-webkit-scrollbar-track {
    background: var(--sb-track-color);
    border-radius: 10px;
}
.menu-sidebar::-webkit-scrollbar-thumb {
  background: var(--sb-thumb-color);
  border-radius: 10px;
}

/* @supports not selector(::-webkit-scrollbar) {
  body {
      scrollbar-color: var(--sb-thumb-color)
                     var(--sb-track-color);
  }
} */
#body.active #sidebar .menu-sidebar ul li a i {
    margin: 5px auto;
    display: block;
}
#body.active #sidebar:hover .menu-sidebar ul li a i {
    margin: 0 12px 0 0;
    display: inline-block;
}
#body.active #sidebar .menu-sidebar li.menu-padre .a-padre::after {
    display: none;
}
#body.active #sidebar:hover .menu-sidebar li.menu-padre .a-padre::after {
    display: block;
}
.menu-sidebar ul li {
    margin-bottom: 10px;
    font-size: 14px;
}
.menu-sidebar ul li a {
	font-size: 13px;
    color: var(--bs-body-color);
    text-decoration: none;
	font-weight: 500;
	display: block;
	padding: 3px 10px;
    border-radius: 4px;
	transition: all .3s ease;
    position: relative;
}
.menu-sidebar ul li:not(.active):not(.menu-padre) a:not(.active):hover {
    font-weight: 500;
	transform: translateX(10px);
}
.menu-sidebar ul li a i {
    max-width: 15px;
    margin-right: 12px;
    transition: all .3s ease;
}
.menu-sidebar ul li a svg[data-icon] {
    max-width: 15px;
    margin-right: 8px;
    transition: all .3s ease;
}
.menu-sidebar ul > li:not(.menu-padre).active a,
.menu-sidebar ul.menu-hijo li.active a {
    font-weight: 500;
	color: #ffffff;
	background-color: var(--bs-primary);
}
.menu-sidebar li.menu-divider {
    font-weight: 600;
    color: var(--bs-body-color);
}
.menu-sidebar li.menu-padre a.a-padre::after {
    content: '\f054';
    font-family: "Font Awesome 6 free";
    position: absolute;
    right: 0;
    top: 4px;
    font-weight: 900;
    font-size: 10px;
}
.menu-sidebar li.menu-padre.active .a-padre::after,
.a-padre[aria-expanded="true"]::after  {
    transform: rotate(90deg);
    transition: transform .3s ease;
}
.toggle-menu-wrapper {
    position: absolute;
    left: -15px;
}
.toggle-menu-wrapper .toggle-menu {
    border: 1px solid #dddddd !important;
    border-radius: 50%;
    padding: 7px;
    line-height: 1;
    width: 30px;
    height: 30px;
    background: var(--bg-white);
    font-size: 12px;
}
.aside-panel-body main {
	padding-left: 280px;
}
#body.active #main {
	padding-left: 100px;
}
.section-title {
	font-weight: 700;
}
.toggle-menu-mobile-wrapper{
	display: none;
	font-size: 16px;
}

@media screen and (max-width: 1201px) {
	.toggle-menu-wrapper{
		display: none;
	}
	.toggle-menu-mobile-wrapper{
		display: block;
	}
	#sidebar {
		display: none;
	}
	#body #main {
		padding-left: 0;
	}
}

/* Min menu */
#body.active .hide-min-menu {
	display: none;
}
#body.active .show-min-menu {
	display: block;
}
/* #body.active ul.list-inline > li a {
	text-align: center;
} */
#body.active .padre-tickets a.a-padre {
	display: block !important;
}
/* Header - Logout */
.profile-img {
    width: 30px;
    height: 30px;
}
.iniciales {
    width: 40px;
    height: 40px;
    box-sizing: content-box;
    display: grid;
    align-items: center;
    align-content: center;
    text-align: center;
}
.header-right ul.dropdown-menu {
    padding: 10px;
    width: 350px;
	box-shadow: 0px 0px 2px 3px rgba(0, 0, 0, .05) !important;
}
.dropdown-item {
	font-size: 13px;
}
.dropdown-notificacion .dropdown-item:hover,
.dropdown-notificacion .dropdown-item:focus {
    background: none;
}

/* Paginas */
#faqSistemaTickets .accordion-item {
    margin-bottom: 20px;
}
.accordion-button {
    font-size: 15px;
    font-weight: 500;
    border-radius: 4px;
}
.accordion-button:hover {
    background-color: var(--bs-primary-bg-subtle);
    /* color: #fff; */
}
.accordion-button:not(.collapsed) {
    background-color: var(--bg-primary);
    color:#fff;
}
.accordion-collapse.collapse.show {
    border: 1px solid #000;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    margin-top: -2px;
}
.accordion-button::after {
    background-size: 15px;
    width: 15px;
    height: 15px;
}


/***************************************** Contenido ****************************************/

/* Dashboard */
.dash-info-icon {
	display: grid;
	place-content: center;
	margin-bottom: 10px;
	width: 40px;
	height: 40px;
	border-radius: 50%;
}
.dash-info-wrapper h3 {
	font-size: 18px;
	font-weight: 500;
	margin-bottom: 25px;
}
.modal-new-ticket {
    max-width: 750px;
}
.dropdown-filters {
    width: 500px;
}

.modal-dialog {
    width: 95%;
    max-width: 1000px;
}
.modal-sm {
    max-width: 500px;
}

.modal-info-icon {
    place-content: center;
    width: 50px;
    height: 50px;
}
span.page-link,
li.page-item button {
    line-height: 1;
}
button.nav-link.active {
    background-color: var(--bs-primary-bg-subtle);
    border-radius: var(--bs-border-radius-sm);
    font-weight: 500;
}
.tickets-tecnico-mobile {
    cursor: pointer;
}


/* Footer */
footer.app-footer h5 {
    font-weight: 700;
}

/* SVG */
.modal-text-success {
	font-weight: 700;
    font-size: 20px;
}
.circle {
    fill: none;
    stroke: #01944a;
    stroke-width: 5;
    stroke-linecap: round;
    stroke-miterlimit: 10
}
.circle-dash {
    fill: none;
    stroke: #01944a;
    stroke-width: 5;
    stroke-linecap: round;
    stroke-miterlimit: 10
}
.check {
    fill: none;
    stroke: #066033;
    stroke-width: 5;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-miterlimit: 10
}
.check-dash {
    fill: none;
    stroke:#066033;
    stroke-width: 5;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-miterlimit: 10
}
.check {
    stroke-dasharray: 60 100;
    animation: check 1.2s cubic-bezier(.5, 0, .6, 1) forwards .15s;
    -webkit-animation: check 1.2s cubic-bezier(.5, 0, .6, 1) forwards .15s;
    -moz-animation: check 1.2s cubic-bezier(.5, 0, .6, 1) forwards .15s;
    -o-animation: check 1.2s cubic-bezier(.5, 0, .6, 1) forwards .15s;
    opacity: 0
}
@-webkit-keyframes check {
    from {
        stroke-dashoffset: 60;
        opacity: 1
    }
    to {
        stroke-dashoffset: 00;
        opacity: 1
    }
}
@keyframes check {
    from {
        stroke-dashoffset: 60;
        opacity: 1
    }
    to {
        stroke-dashoffset: 00;
        opacity: 1
    }
}
.check-dash {
    stroke-dasharray: 10 100;
    animation: check-dash 1.2s cubic-bezier(.5, 0, .6, 1) forwards;
    -webkit-animation: check-dash 1.2s cubic-bezier(.5, 0, .6, 1) forwards;
    -moz-animation: check-dash 1.2s cubic-bezier(.5, 0, .6, 1) forwards;
    -o-animation: check-dash 1.2s cubic-bezier(.5, 0, .6, 1) forwards
}
@-webkit-keyframes check-dash {
    from {
        stroke-dashoffset: 120
    }
    to {
        stroke-dashoffset: 45
    }
}
@keyframes check-dash {
    from {
        stroke-dashoffset: 120
    }
    to {
        stroke-dashoffset: 45
    }
}
.circle {
    stroke-dasharray: 300 300;
    animation: circle 1.5s cubic-bezier(.5, 0, .5, 1) forwards .15s;
    -webkit-animation: circle 1.5s cubic-bezier(.5, 0, .5, 1) forwards .15s;
    -moz-animation: circle 1.5s cubic-bezier(.5, 0, .5, 1) forwards .15s;
    -o-animation: circle 1.5s cubic-bezier(.5, 0, .5, 1) forwards .15s;
    opacity: 0
}
@-webkit-keyframes circle {
    from {
        stroke-dashoffset: 300;
        opacity: 1
    }
    to {
        stroke-dashoffset: 0;
        opacity: 1
    }
}
@keyframes circle {
    from {
        stroke-dashoffset: 300;
        opacity: 1
    }
    to {
        stroke-dashoffset: 0;
        opacity: 1
    }
}
.circle-dash {
    stroke-dasharray: 10 300;
    animation: circledash 1.5s cubic-bezier(.5, 0, .5, 1) forwards 50ms;
    -webkit-animation: circledash 1.5s cubic-bezier(.5, 0, .5, 1) forwards 50ms;
    -moz-animation: circledash 1.5s cubic-bezier(.5, 0, .5, 1) forwards 50ms;
    -o-animation: circledash 1.5s cubic-bezier(.5, 0, .5, 1) forwards 50ms;
    opacity: 0
}
@-webkit-keyframes circledash {
    from {
        stroke-dashoffset: 320;
        opacity: 1
    }
    to {
        stroke-dashoffset: 20;
        opacity: 1
    }
}
@keyframes circledash {
    from {
        stroke-dashoffset: 320;
        opacity: 1
    }
    to {
        stroke-dashoffset: 20;
        opacity: 1
    }
}
